<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: SimuLaser.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_simu_laser_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">SimuLaser.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#ifndef SIMULASER_H</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#define SIMULASER_H</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_laser_range_finder_8h.html">LaserRangeFinder.h</a>&gt;</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_thread_8h.html">Thread.h</a>&gt;</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="keyword">namespace </span>framework</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;{</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;    <span class="keyword">namespace </span>core</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;    {</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;        <span class="keyword">class </span>SharedMem;</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;    }</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;    <span class="keyword">namespace </span>gui</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    {</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;        <span class="keyword">class </span>SpinBox;</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;    }</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;}</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="keyword">namespace </span>framework</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;{</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="keyword">namespace </span>sensor</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;{</div>
<div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="classframework_1_1sensor_1_1_simu_laser.html">   35</a></span>&#160;    <span class="keyword">class </span><a class="code" href="classframework_1_1sensor_1_1_simu_laser.html">SimuLaser</a> : <span class="keyword">public</span> <a class="code" href="classframework_1_1core_1_1_thread.html">core::Thread</a>, <span class="keyword">public</span> <a class="code" href="classframework_1_1sensor_1_1_laser_range_finder.html">LaserRangeFinder</a></div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    {</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;        <span class="keyword">public</span>:</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;            <a class="code" href="classframework_1_1sensor_1_1_simu_laser.html#a94cd007aecc6ed8b15383619ce98c6fc">SimuLaser</a>(<span class="keyword">const</span> <a class="code" href="classframework_1_1core_1_1_framework_manager.html">core::FrameworkManager</a>* parent,std::string name,uint32_t dev_id,uint8_t priority);</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;            <a class="code" href="classframework_1_1sensor_1_1_simu_laser.html#a94cd007aecc6ed8b15383619ce98c6fc">SimuLaser</a>(<span class="keyword">const</span> <a class="code" href="classframework_1_1core_1_1_i_o_device.html">core::IODevice</a>* parent,std::string name,uint32_t dev_id);</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;            <a class="code" href="classframework_1_1sensor_1_1_simu_laser.html#abc1b6c60783d4a76bcd5f8e6910ed043">~SimuLaser</a>();</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;        <span class="keyword">protected</span>:</div>
<div class="line"><a name="l00073"></a><span class="lineno"><a class="line" href="classframework_1_1sensor_1_1_simu_laser.html#a308faee38c55d5f020472cc145ba414c">   73</a></span>&#160;            <a class="code" href="classframework_1_1core_1_1_shared_mem.html">core::SharedMem</a> *<a class="code" href="classframework_1_1sensor_1_1_simu_laser.html#a308faee38c55d5f020472cc145ba414c">shmem</a>;</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;        <span class="keyword">private</span>:</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;            <span class="keywordtype">void</span> UpdateFrom(<span class="keyword">const</span> <a class="code" href="classframework_1_1core_1_1io__data.html">core::io_data</a> *data){};</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;            <span class="keywordtype">void</span> Run(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;            <a class="code" href="classframework_1_1gui_1_1_spin_box.html">gui::SpinBox</a> *data_rate;</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;    };</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;} <span class="comment">// end namespace sensor</span></div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;} <span class="comment">// end namespace framework</span></div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;<span class="preprocessor">#endif // SIMULASER_H</span></div>
<div class="ttc" id="classframework_1_1sensor_1_1_simu_laser_html_a94cd007aecc6ed8b15383619ce98c6fc"><div class="ttname"><a href="classframework_1_1sensor_1_1_simu_laser.html#a94cd007aecc6ed8b15383619ce98c6fc">framework::sensor::SimuLaser::SimuLaser</a></div><div class="ttdeci">SimuLaser(const core::FrameworkManager *parent, std::string name, uint32_t dev_id, uint8_t priority)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="classframework_1_1core_1_1io__data_html"><div class="ttname"><a href="classframework_1_1core_1_1io__data.html">framework::core::io_data</a></div><div class="ttdoc">Abstract class for data types. </div><div class="ttdef"><b>Definition:</b> io_data.h:69</div></div>
<div class="ttc" id="classframework_1_1core_1_1_thread_html"><div class="ttname"><a href="classframework_1_1core_1_1_thread.html">framework::core::Thread</a></div><div class="ttdoc">Abstract class for a thread. </div><div class="ttdef"><b>Definition:</b> Thread.h:34</div></div>
<div class="ttc" id="classframework_1_1core_1_1_framework_manager_html"><div class="ttname"><a href="classframework_1_1core_1_1_framework_manager.html">framework::core::FrameworkManager</a></div><div class="ttdoc">Main class of the Framework library. </div><div class="ttdef"><b>Definition:</b> FrameworkManager.h:43</div></div>
<div class="ttc" id="classframework_1_1core_1_1_shared_mem_html"><div class="ttname"><a href="classframework_1_1core_1_1_shared_mem.html">framework::core::SharedMem</a></div><div class="ttdoc">Class defining a shared memory. </div><div class="ttdef"><b>Definition:</b> SharedMem.h:30</div></div>
<div class="ttc" id="classframework_1_1core_1_1_i_o_device_html"><div class="ttname"><a href="classframework_1_1core_1_1_i_o_device.html">framework::core::IODevice</a></div><div class="ttdoc">Abstract class for input/ouput system. </div><div class="ttdef"><b>Definition:</b> IODevice.h:35</div></div>
<div class="ttc" id="classframework_1_1sensor_1_1_simu_laser_html_abc1b6c60783d4a76bcd5f8e6910ed043"><div class="ttname"><a href="classframework_1_1sensor_1_1_simu_laser.html#abc1b6c60783d4a76bcd5f8e6910ed043">framework::sensor::SimuLaser::~SimuLaser</a></div><div class="ttdeci">~SimuLaser()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="classframework_1_1sensor_1_1_simu_laser_html_a308faee38c55d5f020472cc145ba414c"><div class="ttname"><a href="classframework_1_1sensor_1_1_simu_laser.html#a308faee38c55d5f020472cc145ba414c">framework::sensor::SimuLaser::shmem</a></div><div class="ttdeci">core::SharedMem * shmem</div><div class="ttdoc">SharedMem to access datas. </div><div class="ttdef"><b>Definition:</b> SimuLaser.h:73</div></div>
<div class="ttc" id="classframework_1_1sensor_1_1_laser_range_finder_html"><div class="ttname"><a href="classframework_1_1sensor_1_1_laser_range_finder.html">framework::sensor::LaserRangeFinder</a></div><div class="ttdoc">Classe generique intégrant les telemetres laser. </div><div class="ttdef"><b>Definition:</b> LaserRangeFinder.h:40</div></div>
<div class="ttc" id="_thread_8h_html"><div class="ttname"><a href="_thread_8h.html">Thread.h</a></div><div class="ttdoc">Abstract class for a thread. </div></div>
<div class="ttc" id="_laser_range_finder_8h_html"><div class="ttname"><a href="_laser_range_finder_8h.html">LaserRangeFinder.h</a></div><div class="ttdoc">Classe generique des telemetres laser. </div></div>
<div class="ttc" id="classframework_1_1sensor_1_1_simu_laser_html"><div class="ttname"><a href="classframework_1_1sensor_1_1_simu_laser.html">framework::sensor::SimuLaser</a></div><div class="ttdef"><b>Definition:</b> SimuLaser.h:35</div></div>
<div class="ttc" id="classframework_1_1gui_1_1_spin_box_html"><div class="ttname"><a href="classframework_1_1gui_1_1_spin_box.html">framework::gui::SpinBox</a></div><div class="ttdoc">Class displaying a QSpinBox on the ground station. </div><div class="ttdef"><b>Definition:</b> SpinBox.h:26</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d9f696bd07998dbcfc5b49e19dc5f66d.html">igep</a></li><li class="navelem"><a class="el" href="dir_7775cfc2302e50905e8c794823e78d65.html">uav_lib</a></li><li class="navelem"><a class="el" href="dir_3d8b3ef72b6bddf04a7da37c46c6171b.html">framework</a></li><li class="navelem"><a class="el" href="dir_ebc679b331e9832181885980c13d7a0f.html">SensorActuator</a></li><li class="navelem"><a class="el" href="dir_a3adf9203c955b1977c072f893948685.html">src</a></li><li class="navelem"><b>SimuLaser.h</b></li>
    <li class="footer">Generated on Tue Apr 12 2016 16:28:59 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
